Create SCMConfig
curl --request POST \
--url https://api.example.com/api/scm/deployments/{deploymentId}/configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"accessToken": "<string>",
"scmConfigId": "<string>",
"subscribe": true,
"autoScan": true,
"autoScanSettings": {
"diffEnabled": true
}
}
'import requests
url = "https://api.example.com/api/scm/deployments/{deploymentId}/configs"
payload = {
"deploymentId": "<string>",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"accessToken": "<string>",
"scmConfigId": "<string>",
"subscribe": True,
"autoScan": True,
"autoScanSettings": { "diffEnabled": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
namespace: '<string>',
sourceId: '<string>',
baseUrl: '<string>',
accessToken: '<string>',
scmConfigId: '<string>',
subscribe: true,
autoScan: true,
autoScanSettings: {diffEnabled: true}
})
};
fetch('https://api.example.com/api/scm/deployments/{deploymentId}/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"id": "<string>",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"app": {
"id": "<string>",
"slug": "<string>",
"appId": "<string>",
"baseUrl": "<string>",
"requestId": "<string>",
"scmName": "<string>",
"codeAccess": true,
"tenantId": "<string>"
},
"status": {
"checked": "2023-11-07T05:31:56Z",
"ok": true,
"error": "<string>"
},
"installed": true,
"suspended": true,
"autoScan": true,
"useNetworkBroker": true,
"tokenScopes": {
"readMetadata": true,
"readPullRequest": true,
"writePullRequestComment": true,
"readContents": true,
"readMembers": true,
"manageWebhooks": true,
"writeContents": true,
"writePullRequest": true
},
"subscriptions": [
{
"scmUrl": "<string>",
"events": [
"<string>"
]
}
],
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"autoScanSettings": {
"diffEnabled": true
},
"hasAccessToken": true,
"scmId": "<string>"
}
}Source Code Management (SCM) Configs
Create SCMConfig
Create a new SCM config.
POST
/
api
/
scm
/
deployments
/
{deploymentId}
/
configs
Create SCMConfig
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
| value | description |
|---|---|
| SCM_TYPE_GITHUB | GitHub Cloud |
| SCM_TYPE_GITHUB_ENTERPRISE | GitHub Enterprise |
| SCM_TYPE_GITLAB | GitLab Cloud |
| SCM_TYPE_GITLAB_SELFMANAGED | GitLab Self-Managed |
| SCM_TYPE_BITBUCKET | Bitbucket Cloud |
| SCM_TYPE_BITBUCKET_DATACENTER | Bitbucket Data Center |
| SCM_TYPE_AZURE_DEVOPS | Azure DevOps |
| SCM_TYPE_UNKNOWN | |
| SCM_TYPE_HARNESS | Harness |
Available options:
SCM_TYPE_GITHUB, SCM_TYPE_GITHUB_ENTERPRISE, SCM_TYPE_GITLAB, SCM_TYPE_GITLAB_SELFMANAGED, SCM_TYPE_BITBUCKET, SCM_TYPE_BITBUCKET_DATACENTER, SCM_TYPE_AZURE_DEVOPS, SCM_TYPE_UNKNOWN, SCM_TYPE_HARNESS Show child attributes
Show child attributes
Response
201 - application/json
Created
Show child attributes
Show child attributes
Was this page helpful?
⌘I